Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.views.navigator
Class MainActionGroup

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup
          org.eclipse.ui.views.navigator.ResourceNavigatorActionGroup
              org.eclipse.ui.views.navigator.MainActionGroup

public class MainActionGroup
extends ResourceNavigatorActionGroup

The main action group for the navigator. This contains a few actions and several subgroups.

Field Summary
`protected AddBookmarkAction` | `addBookmarkAction`
`protected AddTaskAction` | `addTaskAction`
`protected CollapseAllAction` | `collapseAllAction`
`protected ExportResourcesAction` | `exportAction`
`protected GotoActionGroup` | `gotoGroup`
`protected ImportResourcesAction` | `importAction`
`protected OpenActionGroup` | `openGroup`
`protected PropertyDialogAction` | `propertyDialogAction`
`protected RefactorActionGroup` | `refactorGroup`
`protected SortAndFilterActionGroup` | `sortAndFilterGroup`
`protected ToggleLinkingAction` | `toggleLinkingAction`
`protected WorkingSetFilterActionGroup` | `workingSetGroup`
`protected WorkspaceActionGroup` | `workspaceGroup`

Fields inherited from class org.eclipse.ui.views.navigator.ResourceNavigatorActionGroup
`navigator`

Constructor Summary
`MainActionGroup(IResourceNavigator navigator)` Constructs the main action group.

Method Summary
`void` | `dispose()` Extends the superclass implementation to dispose the actions in this group and its subgroups.
`void` | `fillActionBars(IActionBars actionBars)` Adds the actions in this group and its subgroups to the action bars.
`void` | `fillContextMenu(IMenuManager menu)` Fills the context menu with the actions contained in this group and its subgroups.
`void` | `handleKeyPressed(KeyEvent event)` Handles a key pressed event by invoking the appropriate action, delegating to the subgroups as necessary.
`protected void` | `handleResourceChanged(IResourceChangeEvent event)` Handles a resource changed event by updating the enablement if one of the selected projects is opened or closed.
`protected void` | `makeActions()` Makes the actions contained directly in this action group.
`protected void` | `makeSubGroups()` Makes the sub action groups.
`void` | `runDefaultAction(IStructuredSelection selection)` Runs the default action (open file) by delegating the open group.
`void` | `setContext(ActionContext context)` Extends the superclass implementation to set the context in the subgroups.
`void` | `updateActionBars()` Updates the actions which were added to the action bars, delegating to the subgroups as necessary.

Methods inherited from class org.eclipse.ui.views.navigator.ResourceNavigatorActionGroup
`getImageDescriptor, getNavigator`

Methods inherited from class org.eclipse.ui.actions.ActionGroup
`getContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### addBookmarkAction

    protected AddBookmarkAction addBookmarkAction

### addTaskAction

    protected AddTaskAction addTaskAction

### propertyDialogAction

    protected PropertyDialogAction propertyDialogAction

### importAction

    protected ImportResourcesAction importAction

### exportAction

    protected ExportResourcesAction exportAction

### collapseAllAction

    protected CollapseAllAction collapseAllAction

### toggleLinkingAction

    protected ToggleLinkingAction toggleLinkingAction

### gotoGroup

    protected GotoActionGroup gotoGroup

### openGroup

    protected OpenActionGroup openGroup

### refactorGroup

    protected RefactorActionGroup refactorGroup

### workingSetGroup

    protected WorkingSetFilterActionGroup workingSetGroup

### sortAndFilterGroup

    protected SortAndFilterActionGroup sortAndFilterGroup

### workspaceGroup

    protected WorkspaceActionGroup workspaceGroup

Constructor Detail

### MainActionGroup

    public MainActionGroup(IResourceNavigator navigator)

  Constructs the main action group.

Method Detail

### handleResourceChanged

    protected void handleResourceChanged(IResourceChangeEvent event)

  Handles a resource changed event by updating the enablement if one of the selected projects is opened or closed.

### makeActions

    protected void makeActions()

  Makes the actions contained directly in this action group.

  Specified by:
    `makeActions` in class `ResourceNavigatorActionGroup`

### makeSubGroups

    protected void makeSubGroups()

  Makes the sub action groups.

### setContext

    public void setContext(ActionContext context)

  Extends the superclass implementation to set the context in the subgroups.

  Overrides:
    `setContext` in class `ActionGroup`
  Parameters:
    `context` - the context to use

### fillContextMenu

    public void fillContextMenu(IMenuManager menu)

  Fills the context menu with the actions contained in this group and its subgroups.

  Overrides:
    `fillContextMenu` in class `ActionGroup`
  Parameters:
    `menu` - the context menu

### fillActionBars

    public void fillActionBars(IActionBars actionBars)

  Adds the actions in this group and its subgroups to the action bars.

  Overrides:
    `fillActionBars` in class `ActionGroup`
  Parameters:
    `actionBars` - the part's action bars

### updateActionBars

    public void updateActionBars()

  Updates the actions which were added to the action bars, delegating to the subgroups as necessary.

  Overrides:
    `updateActionBars` in class `ActionGroup`

### runDefaultAction

    public void runDefaultAction(IStructuredSelection selection)

  Runs the default action (open file) by delegating the open group.

  Overrides:
    `runDefaultAction` in class `ResourceNavigatorActionGroup`
  Parameters:
    `selection` - the current selection

### handleKeyPressed

    public void handleKeyPressed(KeyEvent event)

  Handles a key pressed event by invoking the appropriate action, delegating to the subgroups as necessary.

  Overrides:
    `handleKeyPressed` in class `ResourceNavigatorActionGroup`

### dispose

    public void dispose()

  Extends the superclass implementation to dispose the actions in this group and its subgroups.

  Overrides:
    `dispose` in class `ActionGroup`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.